%define upstream_name    Class-Load
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A working (require "Class::Name") and more
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList) >= 0.110.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Implementation) >= 0.40.0
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Package::Stash) >= 0.140.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'require EXPR' only accepts 'Class/Name.pm' style module names, not
'Class::Name'. How frustrating! For that, we provide 'load_class
'Class::Name''.

It's often useful to test whether a module can be loaded, instead of
throwing an error when it's not available. For that, we provide
'try_load_class 'Class::Name''.

Finally, sometimes we need to know whether a particular class has been
loaded. Asking '%%INC' is an option, but that will miss inner packages and
any class for which the filename does not correspond to the package name.
For that, we provide 'is_class_loaded 'Class::Name''.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.250.0-5.mga10
+ Revision: 2203511
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.250.0-4.mga9
+ Revision: 1808476
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.250.0-3.mga8
+ Revision: 1503565
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.250.0-2.mga7
+ Revision: 1282264
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 tv <tv> 0.250.0-1.mga7
+ Revision: 1236356
- update to 0.25

* Fri Jul 28 2017 shlomif <shlomif> 0.240.0-1.mga7
+ Revision: 1132199
- New version 0.24

* Sat Jun 18 2016 pterjan <pterjan> 0.230.0-3.mga6
+ Revision: 1023977
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.230.0-2.mga6
+ Revision: 968190
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.230.0-1.mga6
+ Revision: 851504
- update to 0.23

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-3.mga5
+ Revision: 750461
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-2.mga5
+ Revision: 683924
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 664682
- update to 0.22

* Mon Feb 10 2014 jquelin <jquelin> 0.210.0-1.mga5
+ Revision: 588248
- update to 0.21

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 510163
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 364422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 285196
- update to 0.20

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 254661
- update to 0.19

* Fri Feb 24 2012 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 213672
- update to 0.18

* Thu Jan 05 2012 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 191161
- update to 0.13

* Fri Nov 04 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 162675
- update to 0.12
- prevent youri check to kick in
- update to 0.08
+ takashi <takashi>
- fixing SPEC file
- update to 0.10

* Sat Jan 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 31787
- mageia rebuild
- imported package perl-Class-Load


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 602042
- import perl-Class-Load

